[Erledigt] Fehler: Versionschecks fehlerhaft: Inkompatibilität mit Plugin 'jameica.ical'

Hier gibt es Support zu den Plugin der neuesten Generation des Hibiscus-Mashup Projekts von Sebastian Richter
LastBoyScout
Beiträge: 15
Registriert: Fr 9. Aug 2019, 12:11

[Erledigt] Fehler: Versionschecks fehlerhaft: Inkompatibilität mit Plugin 'jameica.ical'

Beitrag von LastBoyScout » Fr 19. Nov 2021, 11:01

Hallo,

nach dem Update des Mashup etc. auf die aktuellen Versionen, bricht bei mir die Synchronisierung mit folgender Fehlermeldung ab:

Code: Alles auswählen

[19.11.2021 10:41:20] Synchronisierung via non-HBCI (Hibiscus Mashup) läuft
[19.11.2021 10:41:20]  
[19.11.2021 10:41:20] System-Info: OS[Windows 10 (ver. 10.0) amd64]  Platform[Jameica 2.11.0-nightly | Build: 478 vom 20211119]  Plugin[hibiscus 2.11.0-nightly | Build: 361 vom 20211119]
[19.11.2021 10:41:20] Installierte und aktive Plugin-Versionen: [Finance.Websync ver. 0.9.28 | Build: 775 vom 20211117] [Hibiscus Mashup ver. 0.9.20 | Build: 475 vom 20211117]
[19.11.2021 10:41:20] Überprüfe Jameica-Version ...
[19.11.2021 10:41:20] OK: Jameica-Version 2.11.0 installiert und aktiv
[19.11.2021 10:41:20] Überprüfe Java-Version und den verwendeten Zeichensatz ...
[19.11.2021 10:41:20] OK: Java-Version 11.0.9.1 von 'AdoptOpenJDK' installiert, aktiv und verwendet Zeichensatz 'Cp1252' (Home: C:\Software\jameica\jre-win64)
[19.11.2021 10:41:20] Fehler: Versionschecks fehlerhaft Das installierte Plugin 'jameica.ical' (Plugin, welches Termine in eine ical-Datei exportiert) ist mit Hibiscus Mashup nicht kompatibel! und muss vorher deinstalliert werden. (Weitere Informationen im Forum)
Wie hier angegeben, hatte ich die entsprechende Datei: ..\.jameica\plugins\jameica.ical\lib\ical4j\commons-codec-1.3.jar bereits vor längerer Zeit gelöscht, was den Dateikonflikt seinerzeit auch erfolgreich behoben hatte. Besagte Datei ist nach wie vor auch nicht mehr vorhanden.

Da ich das ical- Plugin verwende, möchte ich es eigentlich sehr ungern entfernen... Hoffe daher es gibt hierzu eine alternative Lösung!?

VG

Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 1990
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: Fehler: Versionschecks fehlerhaft: Inkompatibilität mit Plugin 'jameica.ical'

Beitrag von Hibiscus-Scripter » Fr 19. Nov 2021, 11:31

Hallo,

und ich möchte "aus Gründen", dass dies so bleibt.

Die saubere Lösung hierzu ist also logischerweise wie im Thread angegeben, dass dieses Plugin einfach mal aktualisiert wird und somit kompatibel wird.

Gruß :wave:
... wer lesen kann ist wie immer im klaren Vorteil ...

:!: Vor dem Posten: Bitte die Posting-Regeln für neue Beiträge lesen und bitte auch immer alle 4. Punkte zur Fehlermeldung beachten (Der Post wird ansonsten gelöscht)

:idea: Hilfe und Informationen zu den Test- und Nightly-Builds und deren Installation findet Ihr z. B. im Tipps und Tricks-Forum (Weitere hilfreiche Artikel findet man in der FAQ auf der Projekt-Website)

Wer ein Dankeschön für die Arbeit und Unkosten senden möchte, kann gerne auch :arrow: Spenden

LastBoyScout
Beiträge: 15
Registriert: Fr 9. Aug 2019, 12:11

Re: Fehler: Versionschecks fehlerhaft: Inkompatibilität mit Plugin 'jameica.ical'

Beitrag von LastBoyScout » Fr 19. Nov 2021, 14:20

Der Aktualisierungswunsch wurde bereits an den Urheber des Plugin herangetragen.

Aber worin genau besteht den, trotz der bereits gelöschten commons-codec-1.3.jar, die von der neuen Version nunmehr plötzlich bemängelte Inkompatibilität?
An den Commons Codec kann es doch eigentlich nicht mehr liegen... Und schließlich greift weder Mashup noch Finance.Websync auf Funktionalitäten von jameica.ical zurück noch umgekehrt. :roll:
Zuletzt geändert von LastBoyScout am Fr 19. Nov 2021, 16:23, insgesamt 1-mal geändert.

Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 1990
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: Fehler: Versionschecks fehlerhaft: Inkompatibilität mit Plugin 'jameica.ical'

Beitrag von Hibiscus-Scripter » Fr 19. Nov 2021, 15:57

das Plugin prüft doch nicht ob du diese Jar-Datei gelöscht hast :-?
Es geht hier nicht nur um dich :roll:

Diese Fehlermeldung möchte nicht dich persönlich nerven oder beleidigen sondern ist eine allgemeine Information.

Gruß :wave:
... wer lesen kann ist wie immer im klaren Vorteil ...

:!: Vor dem Posten: Bitte die Posting-Regeln für neue Beiträge lesen und bitte auch immer alle 4. Punkte zur Fehlermeldung beachten (Der Post wird ansonsten gelöscht)

:idea: Hilfe und Informationen zu den Test- und Nightly-Builds und deren Installation findet Ihr z. B. im Tipps und Tricks-Forum (Weitere hilfreiche Artikel findet man in der FAQ auf der Projekt-Website)

Wer ein Dankeschön für die Arbeit und Unkosten senden möchte, kann gerne auch :arrow: Spenden

LastBoyScout
Beiträge: 15
Registriert: Fr 9. Aug 2019, 12:11

Re: Fehler: Versionschecks fehlerhaft: Inkompatibilität mit Plugin 'jameica.ical'

Beitrag von LastBoyScout » Fr 19. Nov 2021, 16:21

Das Problem an der Fehlermeldung ist doch eben gerade das diese viel zu allgemein ist :!:
Im übrigen fühle mich davon aber weder genervt, noch beleidigt (na gut, ein wenig genervt schon).

Und selbstverständlich Prüft das Plugin nicht ob irgendeine Datei gelöscht wurde. Aber es war doch explizit ein Lösungsvorschlag besagte Datei zu Löschen, damit deren Ausführung nicht zum Fehler führt. Und eine gelöschte Datei kann schließlich nicht mehr ausgeführt werden.

Die Inkompatibilität muss sich doch irgendworin begründen?
Schließlich wäre dies ja auch ein Anhaltspunkt für Olaf was genau an dem ical- Plugin zu aktualisieren ist.

P.S. Bitte nicht gleich latent auf den Schlips getreten fühlen... ich möchte der Sache doch nur auf den Grund gehen.

Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 1990
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: Fehler: Versionschecks fehlerhaft: Inkompatibilität mit Plugin 'jameica.ical'

Beitrag von Hibiscus-Scripter » Fr 19. Nov 2021, 19:39

Also die Meldung ist eindeutig für jeden normalen User und richtig wenn man das installiert hat.

Warum hier Olaf einen Anhaltspunkt brauchen sollte ist mir nicht klar. Erstens checkt der das sicher und außerdem hast du doch selbst den Link dazu gepostet der eben bereits über ein Jahr alt ist.

Die Meldung ist Service und soll dem User verwirrende Fehlermeldungen und dann unnötige Meldungen im Forum vermeiden.

Es ist nun Mal so wenn ich keine Prüfung einbaue das du die Datei gelöscht hast.

Gruß
... wer lesen kann ist wie immer im klaren Vorteil ...

:!: Vor dem Posten: Bitte die Posting-Regeln für neue Beiträge lesen und bitte auch immer alle 4. Punkte zur Fehlermeldung beachten (Der Post wird ansonsten gelöscht)

:idea: Hilfe und Informationen zu den Test- und Nightly-Builds und deren Installation findet Ihr z. B. im Tipps und Tricks-Forum (Weitere hilfreiche Artikel findet man in der FAQ auf der Projekt-Website)

Wer ein Dankeschön für die Arbeit und Unkosten senden möchte, kann gerne auch :arrow: Spenden

Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 1990
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: Fehler: Versionschecks fehlerhaft: Inkompatibilität mit Plugin 'jameica.ical'

Beitrag von Hibiscus-Scripter » So 21. Nov 2021, 00:16

Guten Abend,

da Olaf netterweise gestern prompt das Plugin iCal aktualisiert hat:
https://github.com/willuhn/jameica.ical ... aef5d10255

kann nun jeder dieses Plugin in Jameica aktualisieren um diesen Fehler zu vermeiden:
java.lang.NoSuchMethodError: org.apache.commons.codec.digest.DigestUtils.sha1Hex

Ab der nächsten Stable-Release von Hibiscus Mashup wird dieses dann nicht mehr als inkompatibel angesehen. Das Plugin iCal muss man aber trotzdem updaten um eben den Fehler zu vermeiden!

Gerne mal mit den aktuellen Nightly-Builds von
  • finance.websync
  • hibiscus.mashup
ausprobieren.
:idea: Hilfe hierzu gibst wie immer auch im Tipps und Tricks-Forum


Hier dann bitte auch wieder Rückmeldung geben!
:!: Dabei bitte nicht vergessen:
Sollten dennoch weiterhin Fehler auftreten hier das vollständige Status-Log posten!
(formatiert wie in den Posting-Regeln beschrieben)


Gruß :wave:

hbci
VIP
VIP
Beiträge: 311
Registriert: Sa 7. Mär 2020, 15:01

Re: Fehler: Versionschecks fehlerhaft: Inkompatibilität mit Plugin 'jameica.ical'

Beitrag von hbci » Mi 24. Nov 2021, 20:22

Läuft.

Zurück zu „Hibiscus Mashup über Finance.Websync - (Beta 0.x = neue Release 3 der alten Scripte)“